//
//  CardGameViewController.h
//  Matchismo Version 1
//
//  Created by Sameh Fakhouri on 9/24/14.
//  Copyright (c) 2014 Lehman College. All rights reserved.
//
// this class is abstract and needs the methods listed below

#import <UIKit/UIKit.h>
#import "Deck.h"
#import "CardMatchingGame.h"

@interface CardGameViewController : UIViewController
@property (strong, nonatomic) IBOutletCollection(UIButton) NSArray *cardButtons;
@property (weak, nonatomic) IBOutlet UILabel *scoreLabel;
@property (strong, nonatomic) CardMatchingGame *game;


- (NSString *)titleForCard:(Card *)card;
- (UIImage *)imageForCard:(Card *)card;




// The methods below are abstract and need
// to be implemented in subclasses
- (Deck *)createDeck;
- (void)updateUI;

@end

