//
//  PlayingCardsViewController.m
//  Matchismo Version 1
//
//  Created by Sameh Fakhouri on 10/8/14.
//  Copyright (c) 2014 Lehman College. All rights reserved.
//

#import "PlayingCardsViewController.h"
#import "PlayingCardDeck.h"

@implementation PlayingCardsViewController

- (Deck *)createDeck
{
    return [[PlayingCardDeck alloc] init];
}
- (void)updateUI
{
    for (UIButton *cardButton in self.cardButtons) {
        int cardIndex = [self.cardButtons indexOfObject:cardButton];
        Card *card = [self.game cardAtIndex:cardIndex];
        [cardButton setTitle:[self titleForCard:card] forState:UIControlStateNormal];
        [cardButton setBackgroundImage:[self imageForCard:card] forState:UIControlStateNormal];
        cardButton.enabled = !card.matched;
    } // end for cardButton
    self.scoreLabel.text = [NSString stringWithFormat:@"Score: %d", self.game.score];
}

@end
